Method: networks.webProperties.adReviewCenterAds.batchApplyCustomLabels

Performs batch apply on custom labels associated with Ad review center ads. Custom labels can help you filter and find creatives with the associated label. For more information, see https://support.google.com/admanager/answer/13812863.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/adReviewCenterAds:batchApplyCustomLabels

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of AdReviewCenterAds. Format: networks/{networkCode}/webProperties/{webPropertyCode}

Since a network can only have a single web property of each ExchangeSyndicationProduct, you can use the ExchangeSyndicationProduct as an alias for the web property code:

networks/{networkCode}/webProperties/display

networks/{networkCode}/webProperties/videoAndAudio

networks/{networkCode}/webProperties/mobileApp

networks/{networkCode}/webProperties/games

Request body

The request body contains data with the following structure:

JSON representation
{
  "addLabels": {
    object (BatchLabelAction)
  },
  "removeLabels": {
    object (BatchLabelAction)
  }
}
Fields
addLabels

object (BatchLabelAction)

Optional. Labels to add to the specified ads.

removeLabels

object (BatchLabelAction)

Optional. Labels to remove from the specified ads.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

BatchLabelAction

Actions to perform on custom labels for batch updates.

JSON representation
{
  "names": [
    string
  ],
  "labelIds": [
    string
  ]
}
Fields
names[]

string

Required. The resource names of the AdReviewCenterAds to update. Format: networks/{networkCode}/webProperties/{webPropertyCode}/adReviewCenterAds/{adReviewCenterAdId}

labelIds[]

string

Required. The labelId to add or remove.